version: '3.8'
services:
  distributedpicollectorws:
    image: 'harbor.gretzki.ddns.net/distributed-pi-collector/distributed-pi-collector:24c47f4a'
    restart: unless-stopped
    ports:
      - "10009:5777"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - MONGO_DATABASE_NAME=${MONGO_DATABASE_NAME}
      - MONGO_CONNECTION_STRING=${MONGO_CONNECTION_STRING}
      - MONGO_COLLECTION_MEASUREMENTS_NAME=${MONGO_COLLECTION_MEASUREMENTS_NAME}
      - MONGO_COLLECTION_MEASUREMENT_PARTS_NAME=${MONGO_COLLECTIOM_MEASUREMNT_PARTS_NAME}
      - MONGO_USERNAME=${MONGO_USERNAME}
      - MONGO_PASSWORD=${MONGO_PASSWORD}
      - KAFKA_URL=${KAFKA_URL}
      - KAFKA_TOPIC_JOB_RESPONSES=${TOPIC_JOB_RESPONSES}
      - KAFKA_TOPIC_JOB_REQUESTS=${TOPIC_JOB_REQUESTS}
      - KAFKA_GROUP_ID=${KAFKA_GROUP_ID}
      - MINIO_MAIN_HOST=${MINIO_MAIN_HOST}
      - MINIO_MAIN_ACCESS_KEY=${MINIO_MAIN_ACCESS_KEY}
      - MINIO_MAIN_SECRET_KEY=${MINIO_MAIN_SECRET_KEY}
      - MINIO_FACTORIAL_HOST=${MINIO_FACTORIAL_HOST}
      - MINIO_FACTORIAL_ACCESS_KEY=${MINIO_FACTORIAL_ACCESS_KEY}
      - MINIO_FACTORIAL_SECRET_KEY=${MINIO_FACTORIAL_SECRET_KEY}
      - MINIO_CALCULATION_BUCKET_PARTS=${MINIO_CALCULATION_BUCKET_PARTS}
      - MINIO_CALCULATION_BUCKET_RESULTS=${MINIO_CALCULATION_BUCKET_RESULTS}
      - MINIO_CALCULATION_BUCKET_FACTORIALS=${MINIO_CALCULATION_BUCKET_FACTORIALS}
